store-carts-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-11
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-carts-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-11curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-11
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-carts-get-one
Table:
- table: jef-store-carts
- operation: get-one
Payload Schema:
- pk: cart_id
Payload Example:
- pk: cart-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"cart_id":"string","entity_number":"string","employee_number":"string","customer_number":"string","order_mode":"string","cart_status":"string","subtotal":"number","shipping_fee":"number","discount":"number","grand_total":"number","total_quantity":"number","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "cart_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"cart_id\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"customer_number\":\"string\",\"order_mode\":\"string\",\"cart_status\":\"string\",\"subtotal\":\"number\",\"shipping_fee\":\"number\",\"discount\":\"number\",\"grand_total\":\"number\",\"total_quantity\":\"number\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-get-one?pk=cart-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-get-one?pk=cart-1001-0001"